org.restlet.engine.application

## Class RangeFilter

- java.lang.Object
- - org.restlet.Restlet
  - - org.restlet.routing.Filter
    - - org.restlet.engine.application.RangeFilter

All Implemented Interfaces:
  Uniform

    public class RangeFilter
    extends Filter

Filter that is in charge to check the responses to requests for partial content.

Author:
  Thierry Boileau

### Field Summary

### Fields inherited from class org.restlet.routing.Filter

`CONTINUE, SKIP, STOP`

### Constructor Summary

Constructors
Constructor and Description
`RangeFilter(Context context)` Constructor.

### Method Summary

Methods
`protected void` `afterHandle(Request request, Response response)` Allows filtering after processing by the next Restlet.
`RangeService` `getRangeService()` Returns the Range service of the parent application.

### Methods inherited from class org.restlet.routing.Filter

`beforeHandle, doHandle, getNext, handle, hasNext, setNext, setNext, start, stop`

### Methods inherited from class org.restlet.Restlet

`finalize, getApplication, getAuthor, getContext, getDescription, getLogger, getName, getOwner, isStarted, isStopped, setAuthor, setContext, setDescription, setName, setOwner`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeFilter

    public RangeFilter(Context context)

Constructor.

Parameters:
  `context` - The parent context.

### Method Detail

#### afterHandle

    protected void afterHandle(Request request,
                   Response response)

Description copied from class: `Filter`
Allows filtering after processing by the next Restlet. Does nothing by default.

Overrides:
  `afterHandle` in class `Filter`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.

#### getRangeService

    public RangeService getRangeService()

Returns the Range service of the parent application.

Returns:
  The Range service of the parent application.